| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Location Services supporting in ESRP mode

Location Service Definitions and Methods. More...

## Classes
struct | unsp__CreateLocationServiceRequest
| Create LocationService request. More...
struct | unsp__CreateLocationServiceResult
| Create LocationService result. More...
struct | unsp__ModifyLocationServiceRequest
| Modify LocationService request. More...
struct | unsp__ModifyLocationServiceResult
| Modify LocationService result. More...
struct | unsp__DeleteLocationServiceRequest
| Delete LocationService request. More...
struct | unsp__DeleteLocationServiceResult
| Delete LocationService result. More...
struct | unsp__LocationServiceEntry
| LocationServiceEntry data entry that holds the actual Location Service data. More...
struct | unsp__GetLocationServiceRequest
| Get LocationService request. More...
struct | unsp__GetLocationServiceResult
| / Get LocationService result. More...
struct | unsp__QueryLocationServiceRequest
| Query LocationService request. More...
struct | unsp__LocationServiceList
| A list of Location Services. More...
struct | unsp__QueryLocationServiceResult
| Query LocationServices result. More...

## Functions
int | unsp__CreateLocationService (struct unsp__CreateLocationServiceRequest CreateLocationServiceRequest, struct unsp__CreateLocationServiceResult *CreateLocationServiceResult)
| Associates a Held server or/and an ECRF server to a Location Service entry. More...
int | unsp__ModifyLocationService (struct unsp__ModifyLocationServiceRequest ModifyLocationServiceRequest, struct unsp__ModifyLocationServiceResult *ModifyLocationServiceResult)
| Modifies a Location Service. More...
int | unsp__DeleteLocationService (struct unsp__DeleteLocationServiceRequest DeleteLocationServiceRequest, struct unsp__DeleteLocationServiceResult *DeleteLocationServiceResult)
| Deletes a Location Service entry. More...
int | unsp__GetLocationService (struct unsp__GetLocationServiceRequest GetLocationServiceRequest, struct unsp__GetLocationServiceResult *GetLocationServiceResult)
| Gets a Location Service entry. More...
int | unsp__QueryLocationService (struct unsp__QueryLocationServiceRequest QueryLocationServiceRequest, struct unsp__QueryLocationServiceResult *QueryLocationServiceResult)
| Queries/retrieves a list of Location Service entries. More...

## Detailed Description

Location Service Definitions and Methods.

## Function Documentation

## ◆ unsp__CreateLocationService()

unsp__CreateLocationService | ( | struct unsp__CreateLocationServiceRequest | CreateLocationServiceRequest,
|  | struct unsp__CreateLocationServiceResult * | CreateLocationServiceResult
| ) |  |

Associates a Held server or/and an ECRF server to a Location Service entry.

These settings are applicable only in ESRP mode.

Allows the creation of a Location Service entry.

Parameters

  CreateLocationServiceRequest | API request
  CreateLocationServiceResult | API result MP2 command: CLOCATIONSERVICE [Attributes]

## ◆ unsp__DeleteLocationService()

unsp__DeleteLocationService | ( | struct unsp__DeleteLocationServiceRequest | DeleteLocationServiceRequest,
|  | struct unsp__DeleteLocationServiceResult * | DeleteLocationServiceResult
| ) |  |

Deletes a Location Service entry.

These settings are applicable only in ESRP mode.

Parameters

  DeleteLocationServiceRequest | API request
  DeleteLocationServiceResult | API result MP2 command: DLOCATIONSERVICE [Attributes]

## ◆ unsp__GetLocationService()

unsp__GetLocationService | ( | struct unsp__GetLocationServiceRequest | GetLocationServiceRequest,
|  | struct unsp__GetLocationServiceResult * | GetLocationServiceResult
| ) |  |

Gets a Location Service entry.

These settings are applicable only in ESRP mode.

Parameters

  GetLocationServiceRequest | API request
  GetLocationServiceResult | API result

## ◆ unsp__ModifyLocationService()

unsp__ModifyLocationService | ( | struct unsp__ModifyLocationServiceRequest | ModifyLocationServiceRequest,
|  | struct unsp__ModifyLocationServiceResult * | ModifyLocationServiceResult
| ) |  |

Modifies a Location Service.

These settings are applicable only in ESRP mode.

Allows the modification of a Location Service entry.

Parameters

  ModifyLocationServiceRequest | API request
  ModifyLocationServiceResult | API result MP2 command: MLOCATIONSERVICE [Attributes]

## ◆ unsp__QueryLocationService()

unsp__QueryLocationService | ( | struct unsp__QueryLocationServiceRequest | QueryLocationServiceRequest,
|  | struct unsp__QueryLocationServiceResult * | QueryLocationServiceResult
| ) |  |

Queries/retrieves a list of Location Service entries.

Parameters

  QueryLocationServiceRequest | API request
  QueryLocationServiceResult | API result